> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Card Products



## OpenAPI

````yaml api-reference/openapi-cards.json GET /cardproduct
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Cards
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /cardproduct:
    get:
      tags:
        - Card Product
      summary: List Card Products
      parameters:
        - description: 'One of: `active`, `inactive`. Filterable.'
          in: query
          name: status
          schema:
            type: string
        - description: 'One of: `physical`, `virtual`. Filterable.'
          in: query
          name: type
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - card_auth_loop_endpoint_id: null
                        card_back_image_file_id: null
                        card_controls: null
                        card_front_image_file_id: null
                        created_at: '2021-02-09T18:58:31Z'
                        id: cdpt_zuhqnmz7e085
                        status: active
                        three_domain_secure_config: null
                        type: virtual
                        updated_at: '2021-02-09T18:58:31Z'
                        userdata: null
              schema:
                properties:
                  data:
                    items:
                      properties:
                        card_auth_loop_endpoint_id:
                          description: >-
                            The ID of the Card Auth Loop Endpoint object to be
                            used to approve or reject a card transaction
                          type: string
                        card_back_image_file_id:
                          description: >-
                            The ID of a File object containing the image
                            defining the design for the back of the card, if
                            applicable
                          type: string
                        card_controls:
                          description: >-
                            An object that defines rules for how this card can
                            be used
                          properties:
                            controls:
                              items:
                                properties:
                                  amount:
                                    format: float
                                    type: number
                                  interval:
                                    type: string
                                  mccs:
                                    items:
                                      type: string
                                    type: array
                                  mids:
                                    items:
                                      type: string
                                    type: array
                                  restriction:
                                    type: string
                                  rollover_time:
                                    type: string
                                  timezone:
                                    type: string
                                  type:
                                    type: string
                                  version:
                                    type: integer
                                  window:
                                    type: integer
                                type: object
                              type: array
                            name:
                              type: string
                          type: object
                        card_front_image_file_id:
                          description: >-
                            The ID of a File object containing the image
                            defining the design for the front of the card, if
                            applicable
                          type: string
                        configuration:
                          description: An object defining additional card configuration
                          type: object
                        id:
                          description: Unique identifier for object
                          type: string
                        name:
                          description: Optional name used to identify the object
                          type: string
                        status:
                          description: 'One of: `active`, `inactive`. Filterable.'
                          type: string
                        three_domain_secure_config:
                          description: An object defining 3DS configuration
                          properties:
                            policy:
                              description: '3DS Policy. One of: `none`, `challenge_all`'
                              type: string
                          type: object
                        type:
                          description: 'One of: `physical`, `virtual`. Filterable.'
                          type: string
                        userdata:
                          description: Optional arbitrary user data
                          type: object
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` cardproduct elements, starting after the cardproduct
            described by `page_cursor`. If no more cardproducts are available,
            the resulting list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````